﻿using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
	/// <summary>
	/// Получение должности преподавателя
	/// </summary>
	public class LecturerPostGetBindingModel : GetBindingModel
    {
    }

    /// <summary>
    /// Сохранение должности преподавателя
    /// </summary>
    public class LecturerPostSetBindingModel : SetBindingModel
    {
        [Required(ErrorMessage = "required")]
        [MapConfiguration("LecturerPostName")]
        public string LecturerPostName { get; set; }

        [Required(ErrorMessage = "required")]
        [MapConfiguration("Hours")]
        public int Hours { get; set; }

        [Required(ErrorMessage = "required")]
        [MapConfiguration("Order")]
        public int Order { get; set; }
    }
}